# std::numeric_limits::round_error

From cppreference.com
< cpp‎ | types‎ | numeric limits

static T round_error(); |  | (until C++11)
static constexpr T round_error(); |  | (since C++11)

Returns the largest possible rounding error in ULPs (units in the last place) as defined by ISO 10967, which can vary from 0.5 (rounding to the nearest digit) to 1.0 (rounding to zero or to infinity). It is only meaningful if std::numeric_limits<T>::is_integer == false.

### Return value

`T` | std::numeric_limits<T>::round_error()
/* non-specialized */ | `T();`
bool | false
char | ​0​
signed char | ​0​
unsigned char | ​0​
wchar_t | ​0​
char16_t | ​0​
char32_t | ​0​
short | ​0​
unsigned short | ​0​
int | ​0​
unsigned int | ​0​
long | ​0​
unsigned long | ​0​
long long | ​0​
unsigned long long | ​0​
float | 0.5F
double | 0.5
long double | 0.5L

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### See also

round_style [static] | identifies the rounding style used by the type (public static member constant)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/types/numeric_limits/round_error&oldid=91666"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template